<div class="thread-view" *ngIf="thread$ | async as thread">

    <div class="feed">

        <!-- Thread Opener -->
        <div class="module reply-block opener" [class.flat]="(page$ | async) !== 1">

            <mr-thread-header
            [id]="thread.id"
            [title]="thread.title"
            [open]="thread.open"
            [restricted]="thread.restricted"
            [createdAt]="thread.createdAt"
            [lastEdit]="thread.lastEdit"
            [isAuthor]="thread.isAuthor"
            [following]="!!thread.following"
            [saved]="!!thread.saved"
            [author]="thread.author"></mr-thread-header>

            <ng-container *ngIf="(page$ | async) === 1">
                <div class="summary">
                    <p>{{thread.summary}}</p>
                </div>
                <mr-editor-readonly [html]="thread.body"></mr-editor-readonly>
            </ng-container>

        </div>

        <!-- Replies -->
        <mr-thread-replies
        [linkedFiles]="thread.linkedFiles"
        [replies]="replies$ | async"></mr-thread-replies>

        <mr-thread-post-reply
        [open]="thread.open"
        [restricted]="thread.restricted"
        [isParticipant]="thread.isParticipant"
        [author]="currentUser$ | async"
        [thread]="thread.id"
        [owner]="thread.author"
        [linkedFiles]="thread.linkedFiles"></mr-thread-post-reply>

    </div>

    <mr-thread-sidebar
    [thread]="thread"
    [files]="files$ | async"
    [isAuthor]="thread.isAuthor"
    [isParticipant]="thread.isParticipant"
    [currentUser]="currentUser$ | async"></mr-thread-sidebar>

</div>

<mr-loader *ngIf="(thread$ | async) === null"></mr-loader>
